Main Page Widgets glibmm Namespaces Book

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- ~

Here is a list of all class members with links to the classes they belong to:

### - r -

- Rand() : Glib::Rand
- raw() : Glib::ustring
- rbegin() : Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::ustring , Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::ustring
- read() : Glib::IOChannel
- READ : Glib::SpawnError
- read() : Glib::IOChannel
- read_line() : Glib::IOChannel
- read_name() : Glib::Dir
- read_to_end() : Glib::IOChannel
- read_vfunc() : Glib::IOChannel , Glib::StreamIOChannel
- reader_lock() : Glib::StaticRWLock
- reader_trylock() : Glib::StaticRWLock
- reader_unlock() : Glib::StaticRWLock
- ReaderLock() : Glib::RWLock::ReaderLock
- READONLY_FILESYSTEM : Glib::FileError
- RecMutex() : Glib::RecMutex
- reference : Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::MainContext , Glib::MainLoop , Glib::Container_Helpers::SListHandleIterator<Tr> , Glib::Source , Glib::ObjectBase , Glib::Container_Helpers::ArrayHandleIterator<Tr> , Glib::ustring_Iterator<T> , Glib::DirIterator , Glib::ustring , Glib::Container_Helpers::ListHandleIterator<Tr> , Glib::Regex , Glib::IOChannel
- RefPtr() : Glib::RefPtr<T_CppObject>
- Regex() : Glib::Regex
- RegexError() : Glib::RegexError
- release() : Glib::MainContext , Glib::RWLock::ReaderLock , Glib::RWLock::WriterLock , Glib::Mutex::Lock , Glib::RecMutex::Lock
- release_c_type() : Glib::Container_Helpers::TypeTraits<T>
- remove() : Glib::HelperList<T_Child, T_CppElement, T_Iterator>
- remove_comment() : Glib::KeyFile
- remove_data() : Glib::Object
- remove_group() : Glib::KeyFile
- remove_key() : Glib::KeyFile
- remove_poll() : Glib::MainContext , Glib::Source
- rend() : Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::ustring , Glib::HelperList<T_Child, T_CppElement, T_Iterator>
- replace() : Glib::ustring
- REPLACE : Glib::RegexError
- replace() : Glib::Regex , Glib::ustring
- replace_eval() : Glib::Regex
- replace_literal() : Glib::Regex
- reserve() : Glib::ustring
- reset() : Glib::ValueBase , Glib::Timer , Glib::IConv
- reset_property_() : Glib::PropertyProxy_Base
- reset_value() : Glib::PropertyProxy<T> , Glib::PropertyProxy_WriteOnly<T>
- resize() : Glib::ustring
- result_type : Glib::Markup::AttributeKeyLess
- reverse_iterator : Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::ustring
- rewind() : Glib::Dir
- rfind() : Glib::ustring
- run() : Glib::MainLoop
- RWLock() : Glib::RWLock